Index: lib/Catalyst/Helper.pm
===================================================================
--- lib/Catalyst/Helper.pm	(revision 4147)
+++ lib/Catalyst/Helper.pm	(working copy)
@@ -844,28 +844,30 @@
 use FindBin;
 use lib "$FindBin::Bin/../lib";
 
-my $debug         = 0;
-my $fork          = 0;
-my $help          = 0;
-my $host          = undef;
-my $port          = 3000;
-my $keepalive     = 0;
-my $restart       = 0;
-my $restart_delay = 1;
-my $restart_regex = '\.yml$|\.yaml$|\.pm$';
+my $debug             = 0;
+my $fork              = 0;
+my $help              = 0;
+my $host              = undef;
+my $port              = 3000;
+my $keepalive         = 0;
+my $restart           = 0;
+my $restart_delay     = 1;
+my $restart_regex     = '\.yml$|\.yaml$|\.pm$';
+my $restart_directory = undef;
 
 my @argv = @ARGV;
 
 GetOptions(
-    'debug|d'           => \$debug,
-    'fork'              => \$fork,
-    'help|?'            => \$help,
-    'host=s'            => \$host,
-    'port=s'            => \$port,
-    'keepalive|k'       => \$keepalive,
-    'restart|r'         => \$restart,
-    'restartdelay|rd=s' => \$restart_delay,
-    'restartregex|rr=s' => \$restart_regex
+    'debug|d'             => \$debug,
+    'fork'                => \$fork,
+    'help|?'              => \$help,
+    'host=s'              => \$host,
+    'port=s'              => \$port,
+    'keepalive|k'         => \$keepalive,
+    'restart|r'           => \$restart,
+    'restartdelay|rd=s'   => \$restart_delay,
+    'restartregex|rr=s'   => \$restart_regex,
+    'restartdirectory=s'  => \$restart_directory,
 );
 
 pod2usage(1) if $help;
@@ -882,12 +884,13 @@
 require [% name %];
 
 [% name %]->run( $port, $host, {
-    argv          => \@argv,
-    'fork'        => $fork,
-    keepalive     => $keepalive,
-    restart       => $restart,
-    restart_delay => $restart_delay,
-    restart_regex => qr/$restart_regex/
+    argv              => \@argv,
+    'fork'            => $fork,
+    keepalive         => $keepalive,
+    restart           => $restart,
+    restart_delay     => $restart_delay,
+    restart_regex     => qr/$restart_regex/,
+    restart_directory => $restart_directory,
 } );
 
 1;
@@ -914,6 +917,9 @@
    -rr -restartregex  regex match files that trigger
                       a restart when modified
                       (defaults to '\.yml$|\.yaml$|\.pm$')
+   -restartdirectory  the directory to search for
+                      modified files
+                      (defaults to '../')
 
  See also:
    perldoc Catalyst::Manual
Index: lib/Catalyst/Engine/HTTP/Restarter.pm
===================================================================
--- lib/Catalyst/Engine/HTTP/Restarter.pm	(revision 4147)
+++ lib/Catalyst/Engine/HTTP/Restarter.pm	(working copy)
@@ -19,7 +19,10 @@
         close STDOUT;
 
         my $watcher = Catalyst::Engine::HTTP::Restarter::Watcher->new(
-            directory => File::Spec->catdir( $FindBin::Bin, '..' ),
+            directory => ( 
+                $options->{restart_directory} || 
+                File::Spec->catdir( $FindBin::Bin, '..' )
+            ),
             regex     => $options->{restart_regex},
             delay     => $options->{restart_delay},
         );


